Subject: Ticket Assigned - Feedback or suggestions
From: Max <[email-masked]>
To: [email-masked]
Date: Wed, 09 Nov 2022 16:24:56 +0000

Hi Mohammed Murshed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions Password reset doesn't work.. I have been unable to access my account due to password reset and no amount of "forgot password " option works. 

I ordered items and address was my office and delivery was 9-Nov-2022.. nothing has come yet. I spoke to the customer help desk on your hotline who said she would put urgent delivery as a comment to speed it up but still there is no signs of a delivery.

It is very disappointing as the items contained birthday gifts for my family member which is not going to happen now.

I expect delivery on date stated by your company.  Thank you. 

M. Mcguire https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5235665